#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
package ${package};

import org.sonar.api.Extension;
import org.sonar.api.Plugin;
import ${package}.page.GwtSamplePage;
import ${package}.resourcetab.GwtSampleResourceTab;

import java.util.ArrayList;
import java.util.List;

public class GwtSamplePlugin implements Plugin {

  public String getKey() {
    return "gwt-sample";
  }

  public String getName() {
    return "GWT Sample";
  }

  public String getDescription() {
    return "GWT Sample description";
  }

  public List<Class<? extends Extension>> getExtensions() {
    List<Class<? extends Extension>> extensions = new ArrayList<Class<? extends Extension>>();

    extensions.add(GwtSampleResourceTab.class);
    extensions.add(GwtSamplePage.class);

    return extensions;
  }

  public String toString() {
    return getKey();
  }
}
